package com.ruoyi.bst.storeStaff.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StoreStaffPermission {

    STORE_VIEW("store:view","查看店铺"),
    STORE_EDIT("store:edit","修改店铺"),
    DEVICE_VIEW("device:view","查看设备"),
    DEVICE_EDIT("device:edit","修改设备"),
    PART_VIEW("part:view","查看分区"),
    PART_EDIT("part:edit","修改分区"),
    BOOTH_VIEW("booth:view","查看卡座"),
    BOOTH_EDIT("booth:edit","修改卡座"),
    ORDER_VIEW("order:view","查看订单"),
    ORDER_EDIT("order:edit","修改订单"),
    SUIT_VIEW("suit:view","查看套餐"),
    SUIT_EDIT("suit:edit","修改套餐");


    private final String code;
    private final String name;

}
